--For version 1.09
-----------------
--Basic Options--
-----------------
--AggroHP: The mercenary will be aggressive when it's current HP is greater than this percent of it's maximum HP
--To make your homun behave in a passive manner, set this to 100. 
--Set AggroDistance to the maximum distance you want your merc to attack when aggressive.
--If SuperPassive is set to 1, the AI will be completely passive, and will not attack in any way
--This is intended for the purpose of getting killcount or using the AI for utility purposes.
--Set KiteMonsters to 1 to attempt to avoid or "kite" monsters if you have an archer mercenary 
--Set UseAutoSkill to 1 to automatically use offencive skills while attacking.
-----------------

AggroHP		=60 	--Set this to 100 for passive mode (only attack monsters targeting owner/friends.
AggroSP		=0	--As above for SP. 
AggroDist	=15
KiteMonsters	=1
SuperPassive	=0 
UseAutoSkill	=1
AssumeHomun	=1	--Set this to 1 if you have a homun. 
DoNotChase	=0
UseDanceAttack	=0

---------------------
--AutoSkill Options--
---------------------
--If you want the mercenary to always keep a certain amount of SP (ex. for quicken skills), set UseAutoSkill_MinSP to that amount
--To automatically use anti-mob skills on multiple monsters, set AutoMobCount to the minimum 
--number of monsters to use that on. Otherwise, set it to something really big. 
--Do not change AutoSkillDelay unless you really think you know what you're doing.
--Set UseSkillOnly to never use normal attacks, can be useful because normal attacks
--are treated differently by monsters for the purposes of target changing. 
--UseSkillOnly will be ignored if UseAutoSkill is set to 0. 
---------------------

UseAutoSkill_MinSP=0
AutoMobCount=2
UseSkillOnly=0
AutoSkillDelay=400 	--Leave at 400
AutoSkillLimit=100 	--Default number of times to use an attack skill on a single monster, if not specified otherwise in the tact file. Tact list overrides this.
UseAutoPushback=0	--Set to 1 to autouse pushback skills on mobs targeting merc. Set to 2 to use on monsters targeting owner/friends too (the latter is not reccomended)
AutoPushbackThreshold=2	--This is the distance between the monster and the target for use of pushback
UsePierceSize=2 	--Set to 1 or 0 to use pierce regardless of size, otherwise, 2 to use only on medium or large monsters, and 3 to use on only large monsters. This is ignored if monster size is not known. 

-----------------------
--Walk/Follow Options--
-----------------------
--To make your mercenary stay x cells away from you, set FollowStayBack to x
--MoveBounds is the max distance from you that your merc will get without immediately trying to return to you. 
--To make your mercenary orbit you while idle at full HP, set UseOrbitWalk to the radius
--which you want it to orbit at. This is kinda pointless and is not reccomended.
--To make your mercenary walk randomly when above AggroHP, set UseRandomWalk to 1, and autofollow (ctrl+shift+rclick) your merc.
-----------------------


FollowStayBack 		=2	-- Reccomend to set this to 1 or 2 for melees, 2 or 3 for archer
MoveBounds		=10	-- 10 is a good number here. 
UseRandWalk		=0
UseRouteWalk		=0	-- Implemented, but untested and undocumented. Dont use it. 
UseOrbitWalk		=0	-- Not reccomended
RestXOff	=-2
RestYOff	=0	-- Set these to the coordinate offset you want your merc to move to when you sit. 
SpawnDelay		=1000
ChaseGiveUp		=3

--------------------
--Autobuff options--
--------------------
--To automatically use these skills so as to keep them up at all times
--set UseAuto(skill) to 1. 
--AutoSight will only proc when hidden monsters or players are on screen
--(Currently disabled - if UseAutoSight is on, sight will be kept up always)
--------------------

UseAutoQuicken 	 = 1
UseAutoGuard	 = 1
UseAutoSight	 = 0
UseAutoMag	 = 1

-- These skills target the mercenary owner:

UseProvokeOwner 	= 0 	--Provoke the owner
UseSacrificeOwner 	= 0 	--Attempt to sac the owner

------------------
--Kiting Options--
------------------
--Set ForceKite to use attempt kiting for all mercenaries, even non archers. Will behave strangely.  
--KiteStep is the distance the mercenary will move in each kiting attempt, while KiteThreshold 
--the distance between merc and monster at which it will attempt to kite. 
--KiteBound is the maximum distance that the merc will ever move from the owner when kiting
--Set KiteParanoid to 1 to attempt to kite monsters that are not currently attacking.
--KiteParanoidStep and KiteParanoidThreshold have the same purpose as KiteStep and KiteThreshold
------------------

KiteParanoid		=1	--Set to 1 if the map you're on has aggressive monsters that own your merc.
KiteStep		=5	--It is not reccomended to change these without good reason
KiteParanoidStep	=2	--Theres a bit of trial and error to setting these
KiteThreshold		=3	--such that the mercenary acts in a desirable manner
KiteParanoidThreshold	=2	
KiteBounds		=8		
ForceKite		=0  	-- Not reccomended

---------------
--PVP Options--
---------------

PVPmode = 0 		-- Set to 1 to enable PVP behavior